##
##  daemon.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         daemon
Summary:      Daemon Process Manager
URL:          http://libslack.org/daemon/
Vendor:       Raf
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        System
License:      GPL
Version:      0.8.4
Release:      20230825

#   list of sources
Source0:      http://libslack.org/daemon/download/daemon-%{version}.tar.gz
Source1:      daemon.conf

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Daemon turns other process into daemons. There are many tasks that
    need to be performed to correctly set up a daemon process. This can
    be tedious. Daemon performs these tasks for other processes. This is
    useful for writing daemons in arbitrary languages.

%track
    prog daemon = {
        version   = %{version}
        url       = http://libslack.org/daemon/
        regex     = daemon-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;/etc/daemon\.conf;%{l_prefix}/etc/daemon/daemon.conf;' \
        daemon.c
    ./configure
    %{l_make} %{l_mflags -O}
    %{l_prefix}/bin/pod2man daemon.c >daemon.1

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/daemon \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        daemon $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        daemon.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE daemon.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/daemon/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/daemon/*'

%files -f files

%clean

